<template>
  <div class="row">
    <div class="col-12">
      <h1 class="title-h1 q-mb-md q-mt-xl">
        {{ title }}
      </h1>

      <h2 v-if="subtitle" class="text-subtitle1 text-center">
        {{ subtitle }}
      </h2>

      <h2 v-if="subtitle2" class="text-subtitle1 text-center">
        {{ subtitle2 }}
      </h2>
    </div>
  </div>
</template>

<script>
  export default {
    name: "SectionHeader",
    props: {
      title: {
        type: String,
        default: '',
        required: true
      },
      subtitle: {
        type: String,
        default: '',
        required: false
      },
      subtitle2: {
        type: String,
        default: '',
        required: false
      }
    }
  }
</script>

<style scoped>

</style>
